module.exports = function(grunt) {
    grunt.initConfig({
        sass: {
            dist: {
                files: {
                    'assets/css/main.css': ['assets/css/scss/main.scss']
                }
            }, options: {
                'compass': true
            }
        },

        coffee: {
            compile: {
                files: {
                    'assets/js/main.js': 'assets/js/coffee/main.coffee',
                    'assets/js/pages/form.js': 'assets/js/coffee/pages/form.coffee',
                    'assets/js/roles/form.js': 'assets/js/coffee/roles/form.coffee'
                }
            }
        },

        watch: {
            coffee: {
                files: ['assets/js/coffee/**/*.coffee'],
                tasks: ['coffee', 'shell']
            },

            sass: {
                files: ['assets/css/scss/**/*.scss'],
                tasks: ['sass']
            }
        },

        uglify: {
            my_target: {
                files: {
                    'assets/js/vendor/plugins.min.js': [
                        'assets/js/vendor/jquery.js',
                        'assets/js/vendor/jquery-ui/jquery-ui.min.js',
                        'assets/js/vendor/validate/jquery.validate.js',
                        'assets/js/vendor/mask/jquery.mask.js',
                        'assets/js/vendor/bootstrap/bootstrap.min.js'
                    ]
                }
            }
        },

        shell: {
            // only use when working in the workbench directory
            publish: {
                command: 'php ../../../../artisan asset:publish --bench="escapework/manager"',
                options: {
                    stdout: true
                }
            }
        }
    });

    grunt.loadNpmTasks('grunt-contrib-coffee');
    grunt.loadNpmTasks('grunt-contrib-sass');
    grunt.loadNpmTasks('grunt-contrib-uglify');
    grunt.loadNpmTasks('grunt-contrib-watch');
    grunt.loadNpmTasks('grunt-shell');

    grunt.registerTask('default', ['sass', 'coffee', 'uglify', 'watch']);
    grunt.registerTask('publish', ['shell']);
}