# =================================================================================
# 
# =================================================================================

App = App || {}

App.pages = {
    init: () ->
        this.$actionTitle = $('#actionTitle')
        this.$actionType  = $('#actionType')
        
        this.$actions  = $('#actions')
        this.$template = $('#template-action')

        this.listen()

    listen: () ->
        this.listenAddAction()
        this.listenDeleteAction()

    listenAddAction: () ->
        self = this

        $('#js-add-action').on('click', (e) ->
            e.preventDefault()

            self.addAction()
        )

    listenDeleteAction: () ->
        self = this

        $('[data-delete-action]').on('click', (e) ->
            e.preventDefault()

            self.removeAction($(this))
        )

    addAction: () ->
        title = this.$actionTitle.val()
        type  = this.$actionType.val()

        html   = this.$template.html()

        html = html.replace(/<%=title%>/ig, title)
        html = html.replace(/<%=type%>/ig, type)

        this.$actions.append(html)
        this.clearForm()
        this.listenDeleteAction()

    clearForm: () ->
        this.$actionTitle.val('')
        this.$actionType.val('')

    removeAction: ($btn) ->
        $box2 = $btn.parent()
        $box1 = $box2.prev()

        $box1.remove()
        $box2.remove()
}

App.pages.init()