<?php namespace EscapeWork\Manager\Models;

use Mockery as m;
use stdClass;

class PageActionTest extends \PHPUnit_Framework_TestCase
{

    public function test_has_changed_with_same_data_should_return_false()
    {
        $action1 = new stdClass;
        $action1->type = 'read';

        $action2 = new stdClass;
        $action2->type = 'create';

        $collection = [$action1, $action2];

        $types = ['read', 'create'];

        $pageAction = new PageAction();
        $this->assertFalse($pageAction->hasChanged($collection, $types));
    }

    public function test_has_changed_with_same_count_but_different_data_should_return_true()
    {
        $action1 = new stdClass;
        $action1->type = 'read';

        $action2 = new stdClass;
        $action2->type = 'create';

        $collection = [$action1, $action2];

        $types = ['read', 'update'];

        $pageAction = new PageAction();
        $this->assertTrue($pageAction->hasChanged($collection, $types));
    }

    public function test_has_changed_with_different_count_should_return_true()
    {
        $action1 = new stdClass;
        $action1->type = 'read';

        $action2 = new stdClass;
        $action2->type = 'create';

        $collection = [$action1, $action2];

        $types = ['read', 'create', 'update', 'delete'];

        $pageAction = new PageAction();
        $this->assertTrue($pageAction->hasChanged($collection, $types));
    }
}
